//-----------------------------------------------------------------------
//	File:		$RCSfile: Lab4Part2Adder.v,v $
//	Version:	$Revision: 1.1 $
//	Desc:		Lab4 Part2 - Broken Adder
//	Author:		Greg Gibeling
//	Copyright:	Copyright 2003-2004 UC Berkeley
//	This copyright header must appear in all derivative works.
//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
//	Section:	Change Log
//-----------------------------------------------------------------------
//	$Log: Lab4Part2Adder.v,v $
//	Revision 1.1  2005/01/31 01:38:00  gdgib
//	Initial Import
//	Copied from EECS150Fall2004 Lab4
//	
//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
//	Module:		Lab4Part2Adder
//	Desc:		This is a "broken" adder module which has various
//			failure modes.
//-----------------------------------------------------------------------
module Lab4Part2Adder(A, B, Sum, FailMode); /* synthesis syn_black_box */
	//---------------------------------------------------------------
	//	Primary I/O
	//---------------------------------------------------------------
	input	[15:0]		A, B;
	output	[15:0]		Sum;
	//---------------------------------------------------------------

	//---------------------------------------------------------------
	//	Failure Mode Selector
	//---------------------------------------------------------------
	input	[1:0]		FailMode;
	//---------------------------------------------------------------

	//---------------------------------------------------------------
	//	This is a BlackBox
	//		That means that there is no actual code in this
	//		module, and when you synthesize it, the tools
	//		will use the Lab4Part2Adder.edf file rather than
	//		trying to synthesize this file.
	//		However this means that you cannot simulate this
	//		module at all.
	//---------------------------------------------------------------
endmodule
//-----------------------------------------------------------------------